View Issue Details

IDProjectCategoryView StatusLast Update
0002635SymmetricDSImprovementpublic2016-08-09 13:12
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002635: New data loader type on channels "bulk" to represent any bulk loader if support by platform
DescriptionThe data loader type of "bulk" can now be used when attempting to bulk load a target database. The new loader will look at the platform of the target and determine if a bulk loader is provided. Out of the box bulk loaders are provided for MySQL, MSSQL, Oracle, Postgres, Redshift, and Greenplum. If the target is not one of these types the default will be used.

This also allows different targets in the same group. For example if the targets are Oracle and Postgres but part of the same node group it will dynamically select the appropriate bulk loader for each case.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 4900139c

2016-06-08 10:24:33

josh-a-hicks

Details Diff
0002635: New data loader type on channels "bulk" to represent any bulk
loader if support by platform

0002635
add - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/BulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MsSqlBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MySqlBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/OracleBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/PostgresBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/RedshiftBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/resources/symmetric-ext-points.xml Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

Issue History

Date Modified Username Field Change
2016-06-08 10:23 josh-a-hicks New Issue
2016-06-08 10:23 josh-a-hicks Status new => assigned
2016-06-08 10:23 josh-a-hicks Assigned To => josh-a-hicks
2016-06-08 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 4900139c
2016-06-29 12:20 chenson Status assigned => resolved
2016-06-29 12:20 chenson Fixed in Version => 3.8.0
2016-06-29 12:20 chenson Resolution open => fixed
2016-08-09 13:12 admin Status resolved => closed